Subject: RE: Signal handling - HELP!
From: [email-masked]

8 Sep 1997 21:51:46 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi Sergey, you wrote:

: Ian Collins wrote:
: > When a signal (e.g. SIGALRM) is triggored while in certain system calls
: > (e.g, read), the POSIX signal definition states that after completion of
: > the signal handler, the system call can be made to continue (SA_RESTART)
: > or to return with an error status set.
: 
: There is no way to interrupt win32 syscalls...

other then not letting them block in the first place, and use asynchronous
versions instead, implementing an interruptable "block" in cygwin.dll.
If memory serves, NT calls that "overlapped I/O".
Or or there any NT calls for which this is impossible?

BTW, I also use alarm(60) and hope fgets()/write() on a socket return and
set errno to EINTR for timeout. So far, I haven't really tested under NT...

Bye, Heribert ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".